Your submission was sent successfully! Close

CVE-2016-6252

Published: 17 February 2017

Integer overflow in shadow 4.2.1 allows local users to gain privileges via crafted input to newuidmap.

Notes

AuthorNote
leosilva
shadow version for precise-esm and vivid/ubuntu-core doesn't use
newuidmap binaries neither does any privileged access that makes
this fix necessary.
Priority

Medium

CVSS 3 base score: 7.8

Status

Package Release Status
shadow
Launchpad, Ubuntu, Debian
precise Not vulnerable

trusty
Released (1:4.1.5.1-1ubuntu9.4)
upstream Needs triage

wily Ignored
(reached end-of-life)
xenial
Released (1:4.2-3.1ubuntu5.2)
yakkety
Released (1:4.2-3.2ubuntu1.16.10.1)
zesty
Released (1:4.2-3.2ubuntu1.17.04.1)
Patches:
vendor: https://bugzilla.suse.com/attachment.cgi?id=684679&action=diff
upstream: https://github.com/shadow-maint/shadow/commit/1d5a926cc2d6078d23a96222b1ef3e558724dad1